Skip to main content
PATCH
/
v1
/
users
/
me
Patch Me
curl --request PATCH \
  --url https://api.example.com/v1/users/me \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "avatar_url": "<string>",
  "timezone": "<string>",
  "locale": "<string>"
}
'
{
  "id": "<string>",
  "email": "<string>",
  "name": "<string>",
  "workspace_id": "<string>",
  "avatar_url": "<string>",
  "clerk_user_id": "<string>",
  "created_at": "<string>",
  "timezone": "UTC",
  "locale": "en",
  "role": "<string>",
  "membership_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string | null
Required string length: 1 - 200
avatar_url
string | null
Maximum string length: 2048
timezone
string | null
Maximum string length: 100
locale
string | null
Maximum string length: 20

Response

Successful Response

id
string
required
email
string
required
name
string
required
workspace_id
string | null
avatar_url
string | null
clerk_user_id
string | null
created_at
string | null
timezone
string
default:UTC
locale
string
default:en
role
string | null
membership_id
string | null